Loading...
Searching...
No Matches
gran Struct Reference
Rig (transceiver) API

level/parm granularity definition More...

`#include <rig.h>`

Collaboration diagram for gran:
[legend]

## Data Fields

value_t | min
value_t | max
value_t | step

## Detailed Description

level/parm granularity definition

The granularity is undefined if min = 0, max = 0, and step = 0.

For float settings, if min.f = 0 and max.f = 0 (and step.f != 0), max.f is assumed to be actually equal to 1.0.

If step = 0 (and min and/or max are not null), then this means step can have maximum resolution, depending on type (int or float).

## Field Documentation

## max

value_t gran::max

Maximum value

## min

value_t gran::min

Minimum value

## step

value_t gran::step

Step

The documentation for this struct was generated from the following file:

- rig.h